# Sumowanie rozdzielonych przecinkami kolumn w pliku tekstowym

filename = 'data.txt'    # Zmień nazwę pliku, by sprawdzić inne
sums = {}

for line in open(filename):
    cols = line.split(',')
    nums = [int(col) for col in cols]
    for (ix, num) in enumerate(nums):
        sums[ix] = sums.get(ix, 0) + num

for key in sorted(sums):
    print(key, '=', sums[key])

